Package org.apache.batchee.container.cdi

## Class BatchProducerBean

- java.lang.Object
- - org.apache.batchee.container.cdi.BatchProducerBean

-     public class BatchProducerBean
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BatchProducerBean()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.batch.runtime.context.JobContext` | `getJobContext()` |
    `javax.batch.runtime.context.StepContext` | `getStepContext()` |
    `Boolean` | `produceBooleanProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `Byte` | `produceByteProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `Character` | `produceCharProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `Class` | `produceClassProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `Date` | `produceDateProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `double[]` | `produceDoubleArrayProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `Double` | `produceDoubleProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `File` | `produceFileProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `Float` | `produceFloatProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `int[]` | `produceIntArrayProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `Integer` | `produceIntProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `Inet4Address` | `produceIp4Property​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `Inet6Address` | `produceIp6Property​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `Logger` | `produceLoggerProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `Long` | `produceLongProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `ObjectName` | `produceObjectNameProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `Pattern` | `producePatternProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `Properties` | `producePropertiesProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `String` | `produceProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `Short` | `produceShortProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `String[]` | `produceStringArrayProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `URI` | `produceUriProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |
    `URL` | `produceUrlProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchProducerBean

          public BatchProducerBean()

  - ### Method Detail

    - #### getJobContext

          @Produces
          public javax.batch.runtime.context.JobContext getJobContext()

    - #### getStepContext

          @Produces
          public javax.batch.runtime.context.StepContext getStepContext()

    - #### produceProperty

          @Produces
          public String produceProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceIntProperty

          @Produces
          public Integer produceIntProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceDoubleProperty

          @Produces
          public Double produceDoubleProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceFloatProperty

          @Produces
          public Float produceFloatProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceShortProperty

          @Produces
          public Short produceShortProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceBooleanProperty

          @Produces
          public Boolean produceBooleanProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceLongProperty

          @Produces
          public Long produceLongProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceByteProperty

          @Produces
          public Byte produceByteProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceCharProperty

          @Produces
          public Character produceCharProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceIntArrayProperty

          @Produces
          public int[] produceIntArrayProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceDoubleArrayProperty

          @Produces
          public double[] produceDoubleArrayProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceStringArrayProperty

          @Produces
          public String[] produceStringArrayProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceDateProperty

          @Produces
          public Date produceDateProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceIp4Property

          @Produces
          public Inet4Address produceIp4Property​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceIp6Property

          @Produces
          public Inet6Address produceIp6Property​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceUriProperty

          @Produces
          public URI produceUriProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceUrlProperty

          @Produces
          public URL produceUrlProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceLoggerProperty

          @Produces
          public Logger produceLoggerProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### producePropertiesProperty

          @Produces
          public Properties producePropertiesProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceClassProperty

          @Produces
          public Class produceClassProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### producePatternProperty

          @Produces
          public Pattern producePatternProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceObjectNameProperty

          @Produces
          public ObjectName produceObjectNameProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)

    - #### produceFileProperty

          @Produces
          public File produceFileProperty​(javax.enterprise.inject.spi.InjectionPoint injectionPoint)